# SIPSubscribe::Params Struct Reference

`#include <sippdu.h>`

List of all members.

## Public Member Functions

| Params (PredefinedPackages pkg=NumPredefinedPackages)

## Public Attributes

PString | m_eventPackage
PString | m_mimeType
PString | m_targetAddress
PString | m_contactAddress
PString | m_authID
PString | m_password
PString | m_realm
unsigned | m_expire
unsigned | m_restoreTime
PTimeInterval | m_minRetryTime
PTimeInterval | m_maxRetryTime

## Constructor & Destructor Documentation

SIPSubscribe::Params::Params | ( | PredefinedPackages | pkg = `NumPredefinedPackages` | ) |

## Member Data Documentation

PString SIPSubscribe::Params::m_eventPackage

PString SIPSubscribe::Params::m_mimeType

PString SIPSubscribe::Params::m_targetAddress

PString SIPSubscribe::Params::m_contactAddress

PString SIPSubscribe::Params::m_authID

PString SIPSubscribe::Params::m_password

PString SIPSubscribe::Params::m_realm

unsigned SIPSubscribe::Params::m_expire

unsigned SIPSubscribe::Params::m_restoreTime

PTimeInterval SIPSubscribe::Params::m_minRetryTime

PTimeInterval SIPSubscribe::Params::m_maxRetryTime

The documentation for this struct was generated from the following file:

- sippdu.h